Skip to main content
POST
Create an MCP policy for one or more servers

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Body

application/json
mcp_server_ids
string[]
required

At least one. A server can belong to only one policy.

name
string
required
rules
object[]

Response

The created MCP policy

created_at
string
required
created_by
string
required
id
string
required
is_baseline
boolean
required
mcp_server_ids
string[]
required
name
string
required
rules
object[]
required
updated_at
string
required
updated_by
string
required